#Include "hmg.ch"

* --------------------------------------------------------------*
Function  My_SQL_Connect( _host, _user, _pass)                            

If oServer != Nil
  Return Nil
Endif
oServer := TMySQLServer():New(_host, _user, _pass )
If oServer:NetErr() 
  MsGInfo("Error connecting to SQL server: " + oServer:Error() )
  Release Window ALL
  Quit
Endif 
Return Nil 
* --------------------------------------------------------------*
Function My_SQL_DB_Connect( _Database )

Local i:= 0
Local aDatabaseList:= {}                                           

cDatabase:= Lower(_Database)
If oServer == Nil 
  MsgInfo("Not connected to SQL server!")
  Return Nil
EndIf

aDatabaseList:= oServer:ListDBs()
If oServer:NetErr() 
  MsGInfo("Error verifying database list: " + oServer:Error())
  Release Window ALL
  Quit
Endif 

If AScan( aDatabaseList, Lower(_Database) ) == 0
  MsgINFO( "Database " + _Database + " doesn't exist!")
  Return Nil
EndIf 

oServer:SelectDB( _Database )
If oServer:NetErr() 
  MsGInfo("Error connecting to database " + _Database + ": "+oServer:Error() )
  Release Window ALL
  Quit
Endif 

Return Nil
* --------------------------------------------------------------*
Function My_SQL_Logout()                              
* --------------------------------------------------------------*
  if oServer != Nil                     
    oServer:Destroy()
    oServer := Nil
  EndIf

Return Nil
* --------------------------------------------------------------*
Function DToMy( xDate )

  Local cYear:= alltrim(str(  year( xDate )))
  Local cMon := alltrim(str( month( xDate )))
  Local cDay := alltrim(str(   day( xDate )))
  
Return "'" + cYear + "-" + cMon + "-" + cDay + "'"
